FROM alpine:3
RUN apk add --no-cache apache2 php7 php7-apache2 php7-mysqli php7-mbstring php7-pcntl php7-intl php7-json php7-session mariadb mariadb-client git rsync msmtp
COPY files/my.cnf /etc/my.cnf
COPY files/httpd.conf /etc/apache2/
COPY files/php.ini /etc/php7/
COPY files/msmtprc /etc/php7/
COPY files/binit.sh /usr/local/bin/
COPY files/update.sh /root/
COPY files/mastostart_popolato.sql.xz /root/
COPY files/create_user.sql /root/
COPY files/install.sh /root/
RUN /root/install.sh
CMD /usr/local/bin/binit.sh
